Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Spidermonkey
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Spidermonkey
ID: USN-3688-1
Distribution: Ubuntu
Plattformen: Ubuntu 17.10, Ubuntu 18.04 LTS
Datum: Di, 19. Juni 2018, 19:09
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7826
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5125
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5089
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7810
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-5150
Applikationen: Spidermonkey

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============5430090155232103765==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="vZdmKLvRCgZuTX7ogieEqEOcip3L7STbZ"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--vZdmKLvRCgZuTX7ogieEqEOcip3L7STbZ
Content-Type: multipart/mixed;
boundary="tSu7EnSjJ7vjlhROAuSjwUXS2uGlO6Db3";
protected-headers="v1"
From: Chris Coulson <chris.coulson@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <7ac99ed9-c533-acf3-18ca-20eb7cb51507@canonical.com>
Subject: [USN-3688-1] Spidermonkey vulnerabilities

--tSu7EnSjJ7vjlhROAuSjwUXS2uGlO6Db3
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable
Content-Language: en-US

==========================================================================
Ubuntu Security Notice USN-3688-1
June 19, 2018

mozjs52 vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 18.04 LTS
- Ubuntu 17.10

Summary:

Several security issues were fixed in Spidermonkey.

Software Description:
- mozjs52: SpiderMonkey JavaScript library

Details:

Multiple memory safety issues were fixed in Spidermonkey. An attacker
could potentially exploit these to cause a denial of service, or execute
arbitrary code.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 18.04 LTS:
libmozjs-52-0 52.8.1-0ubuntu0.18.04.1

Ubuntu 17.10:
libmozjs-52-0 52.8.1-0ubuntu0.17.10.1

After a standard system update you need to reboot your computer to make
all the necessary changes.

References:
https://usn.ubuntu.com/usn/usn-3688-1
CVE-2017-7810, CVE-2017-7826, CVE-2018-5089, CVE-2018-5125,
CVE-2018-5150

Package Information:
https://launchpad.net/ubuntu/+source/mozjs52/52.8.1-0ubuntu0.18.04.1
https://launchpad.net/ubuntu/+source/mozjs52/52.8.1-0ubuntu0.17.10.1



--tSu7EnSjJ7vjlhROAuSjwUXS2uGlO6Db3--

--vZdmKLvRCgZuTX7ogieEqEOcip3L7STbZ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEERN//5MGgCOgyKeIFYR+97NWUbg8FAlspJ34ACgkQYR+97NWU
bg9R1ggAiBTgj0fphy6yp5Be8USK/vZCRcAWjsW77rstsUPW/P3+ZYdzT9abfaKo
nRSD6B7SHjS3UCLPJnOxyTd2DgNQbfgoU7RbrgvEOAC+wBf5XAXPqZvL2fiF0DJb
NQaoP/6JJofPM3Om//s8cVzPQCa0EoZvS1nLzINywn0tjujYmedUanDnNyfh3Gwz
M8ATi15ibco+dWoBdiRKpxWRhsiycmJH+xpGK3KHdqvSZy833E+wTUCY05Ws7efk
vmD3mCNxqM0fsgnP/e3twOvKvxon9R1OrwBF+Eql171c2zLGo/CLLepJYNGkrMpQ
T+rzb+fwlG36bzoEQTuuMVGcekyeAQ==
=p6CF
-----END PGP SIGNATURE-----

--vZdmKLvRCgZuTX7ogieEqEOcip3L7STbZ--


--===============5430090155232103765==
Content-Type: text/plain; charset="utf-8"
MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK

--===============5430090155232103765==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung